Unit SF82R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, SFG6R_p;

function SF82R(K :Integer; N :Integer; P :Real): Real;

implementation

function SF82R(K :Integer; N :Integer; P :Real): Real;
var
IERR,ITMAX :Integer;
SF82R,EPS :Real;
label
_10,_20;
begin
{ Result -    SF82R  FORTRANe }
IERR := 0;
EPS := 0.000001;
ITMAX := 100;
if ( K <> 0 ) 
 then goto _10;
Result := 1.0;
goto _20;
_10:
Result := SFG6R(P,(K),(N-K+1),EPS,ITMAX,IERR);
_20:
exit;
end;

end.
